<html>
<head>
    <script type="text/javascript" src="https://unpkg.com/vis-network/standalone/umd/vis-network.min.js"></script>

    <style type="text/css">
        #visjsnet {
            width: {{width}};
            height: {{height}};
            border: 1px solid lightgray;
        }
    </style>
</head>

<body>
<div id="visjsnet"></div>

<script type="text/javascript">
    // create an array with nodes
    var nodes = new vis.DataSet([
    {% for node in data["nodes"] %}
        {id: {{node.id}}, label: '{{node.label}}'},
    {% endfor %}
    ]);

    // create an array with edges
    var edges = new vis.DataSet([
    {% for edge in data["edges"] %}
        {from: {{edge.start}}, to: '{{edge.end}}'},
    {% endfor %}
    ]);

    // create a network
    var container = document.getElementById('visjsnet');

    // provide the data in the vis format
    var data = {
        nodes: nodes,
        edges: edges
    };
    var options = {};

    // initialize your network!
    var network = new vis.Network(container, data, options);
</script>
</body>
</html>